Skip to content

Tax Authority Locations


List all tax authority locations

GET
/tax-authority-locations

Returns a list of all available tax authority locations

Authorizations

Bearer

JWT Authorization header using the Bearer scheme.

TypeHTTP (bearer)

Parameters

Header Parameters

x-api-version
Typestring
Default"1.0"

Query Parameters

term

Fuzzy search by: code, name, description

Typestring
code

Filter by code (exact)

Typestring
sort

Sorting property

Typestring
Valid values
"code"
Default"code"
dir

The direction of sorting

Typestring
Valid values
"asc""desc"
Default"asc"
page

The page number of the results to fetch

Typeinteger
Example1
Format"int64"
Default1
size

Maximum number of items returned in a single response (max 100)

Typeinteger
Examples
10
20
50
Format"int64"
Default10

Responses

OK

application/json
JSON
{
"items": [
{
"id": "string",
"code": "STATE",
"description": "State tax authority",
"primaryCurrentRate": 6.5,
"previousRate": 6,
"effectiveDate": "2024-01-01T00:00:00.000Z",
"taxAuthorityId": "string",
"createdAt": "2024-03-15T10:34:02.107Z",
"updatedAt": "2024-03-15T10:34:02.107Z"
}
],
"pagination": {
"total": 100,
"pages": 10
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python